Bug 854984 - minor nitpick re self.add_listener warning
minor nitpick re self.add_listener warning
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: openstack-nova (Show other bugs)
17
Unspecified Unspecified
medium Severity low
: ---
: ---
Assigned To: Pádraig Brady
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 849231
  Show dependency treegraph
 
Reported: 2012-09-06 08:50 EDT by Steven Dake
Modified: 2016-04-26 14:37 EDT (History)
16 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 14:19:43 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Launchpad 1031405 None None None 2012-09-06 09:29:21 EDT

  None (edit)
Description Steven Dake 2012-09-06 08:50:20 EDT
Description of problem:
When syncing databases a minor nitpicky problem is displayed:

Asking openstack-nova to sync the database.
2012-09-06 05:45:09 WARNING nova.utils [-] /usr/lib64/python2.7/site-packages/sqlalchemy/pool.py:683: SADeprecationWarning: The 'listeners' argument to Pool (and create_engine()) is deprecated.  Use event.listen().
  Pool.__init__(self, creator, **kw)

2012-09-06 05:45:09 WARNING nova.utils [-] /usr/lib64/python2.7/site-packages/sqlalchemy/pool.py:159: SADeprecationWarning: Pool.add_listener is deprecated.  Use event.listen()
  self.add_listener(l)

This has been around for some time, and it hasn't appeared to cause a problem, but may be confusing for new users.

Version-Release number of selected component (if applicable):
openstack-utils-2012.1-2.fc17.noarch


How reproducible:
100%


Steps to Reproduce:
1. run heat's openstack install command
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Pádraig Brady 2012-09-06 09:29:21 EDT
Yep needs a cleanup.
The patched referenced from the launchpad bug isn't trivial though.
Comment 2 Fedora End Of Life 2013-07-04 02:43:14 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 3 Fedora End Of Life 2013-08-01 14:20:02 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.